describe('Storybook Components', () => {
  context('Status', () => {
    beforeEach(() => {
      cy.loadStorybook()
    })

    it('Positive', () => {
      cy.loadComponent('status', 'positive')
      cy.checkComponent('span', 'success', 'Active');
    })

    it('Negative', () => {
      cy.loadComponent('status', 'negative')
      cy.checkComponent('span', 'error', 'Rejected');
    })

    it('Pending', () => {
      cy.loadComponent('status', 'pending')
      cy.checkComponent('span', 'warning', 'Under Review');
    })
  })
})
